Delete a bank account
curl --request DELETE \
--url https://staging-api.chip-in.asia/api/send/bank_accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'checksum: <checksum>' \
--header 'epoch: <epoch>'import requests
url = "https://staging-api.chip-in.asia/api/send/bank_accounts/{id}"
headers = {
"epoch": "<epoch>",
"checksum": "<checksum>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {epoch: '<epoch>', checksum: '<checksum>', Authorization: 'Bearer <token>'}
};
fetch('https://staging-api.chip-in.asia/api/send/bank_accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging-api.chip-in.asia/api/send/bank_accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checksum: <checksum>",
"epoch: <epoch>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging-api.chip-in.asia/api/send/bank_accounts/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("epoch", "<epoch>")
req.Header.Add("checksum", "<checksum>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://staging-api.chip-in.asia/api/send/bank_accounts/{id}")
.header("epoch", "<epoch>")
.header("checksum", "<checksum>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging-api.chip-in.asia/api/send/bank_accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["epoch"] = '<epoch>'
request["checksum"] = '<checksum>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 84,
"status": "verified",
"account_number": "157380112229",
"bank_code": "MBBEMYKL",
"group_id": null,
"name": "Ahmad Razali",
"reference": "VENDOR-EMP-001",
"created_at": "2023-07-20T08:59:10.766Z",
"is_debiting_account": false,
"is_crediting_account": false,
"updated_at": "2023-07-20T10:34:00.541Z",
"deleted_at": null,
"rejection_reason": null
}{
"message": "Bad request",
"code": 400,
"data": {}
}{
"message": "Unauthorized",
"code": 401,
"data": {}
}{
"message": "You are not authorized to perform this action",
"code": 403,
"data": {}
}{
"message": "Record not found",
"code": 404,
"data": {}
}{
"message": "Too many requests. Please try again later.",
"code": 429,
"data": {
"retry_after": 300
}
}Bank Accounts
Delete a bank account
Deletes a bank account record, preventing future payments via the Create Send Instruction endpoint.
DELETE
/
send
/
bank_accounts
/
{id}
Delete a bank account
curl --request DELETE \
--url https://staging-api.chip-in.asia/api/send/bank_accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'checksum: <checksum>' \
--header 'epoch: <epoch>'import requests
url = "https://staging-api.chip-in.asia/api/send/bank_accounts/{id}"
headers = {
"epoch": "<epoch>",
"checksum": "<checksum>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {epoch: '<epoch>', checksum: '<checksum>', Authorization: 'Bearer <token>'}
};
fetch('https://staging-api.chip-in.asia/api/send/bank_accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging-api.chip-in.asia/api/send/bank_accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checksum: <checksum>",
"epoch: <epoch>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging-api.chip-in.asia/api/send/bank_accounts/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("epoch", "<epoch>")
req.Header.Add("checksum", "<checksum>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://staging-api.chip-in.asia/api/send/bank_accounts/{id}")
.header("epoch", "<epoch>")
.header("checksum", "<checksum>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging-api.chip-in.asia/api/send/bank_accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["epoch"] = '<epoch>'
request["checksum"] = '<checksum>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 84,
"status": "verified",
"account_number": "157380112229",
"bank_code": "MBBEMYKL",
"group_id": null,
"name": "Ahmad Razali",
"reference": "VENDOR-EMP-001",
"created_at": "2023-07-20T08:59:10.766Z",
"is_debiting_account": false,
"is_crediting_account": false,
"updated_at": "2023-07-20T10:34:00.541Z",
"deleted_at": null,
"rejection_reason": null
}{
"message": "Bad request",
"code": 400,
"data": {}
}{
"message": "Unauthorized",
"code": 401,
"data": {}
}{
"message": "You are not authorized to perform this action",
"code": 403,
"data": {}
}{
"message": "Record not found",
"code": 404,
"data": {}
}{
"message": "Too many requests. Please try again later.",
"code": 429,
"data": {
"retry_after": 300
}
}300 requests per API key per 5 minutes, the general limit for
/api/send. Creating a bank account has its own limit. See Rate limits.Authorizations
Headers
Response
Successful response
A recipient bank account registered for payouts.
The number of digits depends on the recipient bank — some banks use a fixed length, others accept a range. See the per-bank list on Supported banks.
Required string length:
5 - 17Example:
"157380112222"
Malaysian bank identifier in BIC/SWIFT form. This is the complete set of codes
accepted by POST /send/bank_accounts.
This is not the FPX bank code used for CHIP Collect FPX checkouts
(MB2U0227, ABB0233, PBB0233, …). The two lists identify banks on
different networks and are not interchangeable.
ACDBMYK2: AEON Bank (M) BerhadPHBMMYKL: Affin Bank BerhadAGOBMYKL: AgrobankRJHIMYKL: Al Rajhi BankMFBBMYKL: Alliance Bank Malaysia BerhadARBKMYKL: AmBank Malaysia BerhadBIMBMYKL: Bank Islam Malaysia BerhadBKRMMYKL: Bank Kerjasama Rakyat Malaysia BerhadBMMBMYKL: Bank Muamalat Malaysia BerhadBOFAMY2X: Bank of America (M) BerhadBKCHMYKL: Bank of China (M) BerhadBOTKMYKX: MUFG Bank (Malaysia) BerhadBSNAMYK1: Bank Simpanan Nasional BerhadBNPAMYKL: BNP Paribas Malaysia BerhadBOBEMYK2: BOOST Bank BerhadPCBCMYKL: China Construction Bank (M) BerhadCIBBMYKL: CIMB Bank BerhadCITIMYKL: Citibank BerhadDEUTMYKL: Deutsche Bank (Malaysia) BerhadFNXSMYNB: Finexus Cards Sdn. Bhd.GXSPMYKL: GX Bank BerhadHLBBMYKL: Hong Leong Bank BerhadHBMBMYKL: HSBC Bank Malaysia BerhadICBKMYKL: Industrial and Commercial Bank of China (M) BerhadCHASMYKX: JP Morgan Chase Bank BerhadKFHOMYKL: Kuwait Finance HouseMBBEMYKL: Maybank BerhadAFBQMYKL: MBSB Bank BerhadMHCBMYKA: Mizuho Bank (Malaysia) BerhadOCBCMYKL: OCBC Bank BerhadPBBEMYKL: Public Bank BerhadRHBBMYKL: RHB Bank BerhadSCCHMYKL: RYT BankSCBLMYKX: Standard Chartered Bank Malaysia BerhadSMBCMYKL: Sumitomo Mitsui Banking Corporation (M) BerhadTNGDMYNB: TNG Digital (Touch 'n Go eWallet)UOVBMYKL: United Overseas Bank Berhad (UOB)
Available options:
ACDBMYK2, PHBMMYKL, AGOBMYKL, RJHIMYKL, MFBBMYKL, ARBKMYKL, BIMBMYKL, BKRMMYKL, BMMBMYKL, BOFAMY2X, BKCHMYKL, BOTKMYKX, BSNAMYK1, BNPAMYKL, BOBEMYK2, PCBCMYKL, CIBBMYKL, CITIMYKL, DEUTMYKL, FNXSMYNB, GXSPMYKL, HLBBMYKL, HBMBMYKL, ICBKMYKL, CHASMYKX, KFHOMYKL, MBBEMYKL, AFBQMYKL, MHCBMYKA, OCBCMYKL, PBBEMYKL, RHBBMYKL, SCCHMYKL, SCBLMYKX, SMBCMYKL, TNGDMYNB, UOVBMYKL Example:
"MBBEMYKL"